Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class UserRightRule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.UserRightRule

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class UserRightRule extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `UserRightRule.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserRightRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UserRightRule.Builder`
  `builder()`
  `int`
  `getModuleId()`
  `int`
  `getRightGroupId()`
  `RightType`
  `getRightType()`
  `String`
  `getRule()`
  `boolean`
  `isActive()`
  `void`
  `setActive(boolean active)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setRightGroupId(int rightGroupId)`
  `void`
  `setRightType(RightType rightType)`
  `void`
  `setRule(String rule)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### UserRightRule

    public UserRightRule()

- ## Method Details

  - ### getModuleId

    public int getModuleId()

  - ### getRightGroupId

    public int getRightGroupId()

  - ### getRule

    public String getRule()

  - ### isActive

    public boolean isActive()

  - ### getRightType

    public RightType getRightType()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### setRightGroupId

    public void setRightGroupId(int rightGroupId)

  - ### setRule

    public void setRule(String rule)

  - ### setActive

    public void setActive(boolean active)

  - ### setRightType

    public void setRightType(RightType rightType)

  - ### builder

    public static UserRightRule.Builder builder()